petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESFASGetInterpolation

Gets the matrix used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetInterpolation(SNES snes, PetscInt level, Mat *mat)

### Input Parameters

| snes | - the multigrid context
| level | - the level (0 is coarsest) to supply [do not supply 0]

### Output Parameters

mat -the interpolation operator

### Keywords

FAS, multigrid, get, interpolate, level

### See Also

SNESFASSetInterpolation(), SNESFASGetInjection(), SNESFASGetRestriction(), SNESFASGetRScale()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages